SplMinHeap
SplPriorityQueue
SplMinHeap
PHP Manual

# SplMinHeap::compare

(PHP 5 >= 5.3.0)

SplMinHeap::compare — Compare elements in order to place them correctly in the heap while sifting up.

### Description

void SplMinHeap::compare ( mixed `$value1` , mixed `$value2` )

Compare `value1` with `value2` .

### Parameters

`value1`

  The value of the first node being compared.

`value2`

  The value of the second node being compared.

### Return Values

Result of the comparison, positive integer if `value1` is lower than `value2` , 0 if they are equal, negative integer otherwise.

> Note: Having multiple elements with the same value in a Heap is not recommended. They will end up in an arbitrary relative position.

SplMinHeap
SplPriorityQueue
SplMinHeap
PHP Manual